Loading...
Searching...
No Matches
timing.h File Reference

Portable interface to timeouts and to the CPU cycle counter. More...

`#include "mbedtls/private_access.h"`
`#include "mbedtls/build_info.h"`
`#include <stdint.h>`
Include dependency graph for timing.h:

Go to the source code of this file.

## Data Structures

struct | mbedtls_timing_hr_time
| timer structure More...
struct | mbedtls_timing_delay_context
| Context for mbedtls_timing_set/get_delay() More...

## Typedefs

typedef struct mbedtls_timing_delay_context | mbedtls_timing_delay_context
| Context for mbedtls_timing_set/get_delay()

## Functions

unsigned long | mbedtls_timing_get_timer (struct mbedtls_timing_hr_time *val, int reset)
void | mbedtls_timing_set_delay (void *data, uint32_t int_ms, uint32_t fin_ms)
| Set a pair of delays to watch (See `mbedtls_timing_get_delay()`.)
int | mbedtls_timing_get_delay (void *data)
| Get the status of delays (Memory helper: number of delays passed.)
uint32_t | mbedtls_timing_get_final_delay (const mbedtls_timing_delay_context *data)
| Get the final timing delay.

## Detailed Description

Portable interface to timeouts and to the CPU cycle counter.

Definition in file timing.h.

## Typedef Documentation

## mbedtls_timing_delay_context

typedef struct mbedtls_timing_delay_context mbedtls_timing_delay_context

Context for mbedtls_timing_set/get_delay()

## Function Documentation

## mbedtls_timing_get_delay()

int mbedtls_timing_get_delay | ( | void * | data | ) |

Get the status of delays (Memory helper: number of delays passed.)

Parameters

  data | Pointer to timing data Must point to a valid `mbedtls_timing_delay_context` struct.

Returns
  -1 if cancelled (fin_ms = 0), 0 if none of the delays are passed, 1 if only the intermediate delay is passed, 2 if the final delay is passed.

## mbedtls_timing_get_final_delay()

uint32_t mbedtls_timing_get_final_delay | ( | const mbedtls_timing_delay_context * | data | ) |

Get the final timing delay.

Parameters

  data | Pointer to timing data Must point to a valid `mbedtls_timing_delay_context` struct.

Returns
  Final timing delay in milliseconds.

## mbedtls_timing_get_timer()

unsigned long mbedtls_timing_get_timer | ( | struct mbedtls_timing_hr_time * | val,
|  | int | reset
| ) |  |

## mbedtls_timing_set_delay()

void mbedtls_timing_set_delay | ( | void * | data,
|  | uint32_t | int_ms,
|  | uint32_t | fin_ms
| ) |  |

Set a pair of delays to watch (See `mbedtls_timing_get_delay()`.)

Parameters

  data | Pointer to timing data. Must point to a valid `mbedtls_timing_delay_context` struct.
  int_ms | First (intermediate) delay in milliseconds. The effect if int_ms > fin_ms is unspecified.
  fin_ms | Second (final) delay in milliseconds. Pass 0 to cancel the current delay.

Note
  To set a single delay, either use `mbedtls_timing_set_timer` directly or use this function with int_ms == fin_ms.